<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_171) on Fri May 25 11:54:51 EDT 2018 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>D-Index (SelekTOR Java Documentation)</title>
<meta name="date" content="2018-05-25">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="D-Index (SelekTOR Java Documentation)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-3.html">Prev Letter</a></li>
<li><a href="index-5.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-4.html" target="_top">Frames</a></li>
<li><a href="index-4.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">K</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">N</a>&nbsp;<a href="index-14.html">O</a>&nbsp;<a href="index-15.html">P</a>&nbsp;<a href="index-16.html">Q</a>&nbsp;<a href="index-17.html">R</a>&nbsp;<a href="index-18.html">S</a>&nbsp;<a href="index-19.html">T</a>&nbsp;<a href="index-20.html">U</a>&nbsp;<a href="index-21.html">V</a>&nbsp;<a href="index-22.html">W</a>&nbsp;<a name="I:D">
<!--   -->
</a>
<h2 class="title">D</h2>
<dl>
<dt><span class="memberNameLink"><a href="../lib/SimpleFile.html#delete--">delete()</a></span> - Method in class lib.<a href="../lib/SimpleFile.html" title="class in lib">SimpleFile</a></dt>
<dd>
<div class="block">Deletes file</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/SimpleFile.html#delete-java.lang.String-">delete(String)</a></span> - Static method in class lib.<a href="../lib/SimpleFile.html" title="class in lib">SimpleFile</a></dt>
<dd>
<div class="block">Deletes the specified file</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/SimpleProps.html#delete--">delete()</a></span> - Method in class lib.<a href="../lib/SimpleProps.html" title="class in lib">SimpleProps</a></dt>
<dd>
<div class="block">Delete the properties file store</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/PacFactory.html#deleteAllPAC--">deleteAllPAC()</a></span> - Method in class client.<a href="../client/PacFactory.html" title="class in client">PacFactory</a></dt>
<dd>
<div class="block">Delete all pac files</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/TorProcess.html#deleteCacheData--">deleteCacheData()</a></span> - Method in class client.<a href="../client/TorProcess.html" title="class in client">TorProcess</a></dt>
<dd>
<div class="block">Delete Tor cache data</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/TorProcess.html#deleteConfigFile--">deleteConfigFile()</a></span> - Method in class client.<a href="../client/TorProcess.html" title="class in client">TorProcess</a></dt>
<dd>
<div class="block">Delete the configuration file</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/SimpleFile.html#deleteFileList-java.io.File:A-">deleteFileList(File[])</a></span> - Method in class lib.<a href="../lib/SimpleFile.html" title="class in lib">SimpleFile</a></dt>
<dd>
<div class="block">Deletes the supplied list of files, be very carefull with this</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/SimpleFile.html#deleteFolder-java.lang.String-">deleteFolder(String)</a></span> - Static method in class lib.<a href="../lib/SimpleFile.html" title="class in lib">SimpleFile</a></dt>
<dd>
<div class="block">Delete folder and its contents using specified folder path</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/PacFactory.html#deletePAC-java.lang.String-">deletePAC(String)</a></span> - Method in class client.<a href="../client/PacFactory.html" title="class in client">PacFactory</a></dt>
<dd>
<div class="block">Delete specified pac file</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/PacFactory.html#deletePatternsFile-java.lang.String-java.lang.String-">deletePatternsFile(String, String)</a></span> - Method in class client.<a href="../client/PacFactory.html" title="class in client">PacFactory</a></dt>
<dd>
<div class="block">Delete patterns file for a given country and type, where type is either
 "def" or "user"</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/PacFactory.html#deleteProxyPrefs--">deleteProxyPrefs()</a></span> - Method in class client.<a href="../client/PacFactory.html" title="class in client">PacFactory</a></dt>
<dd>
<div class="block">Generic proxy prefs delete, for ease of use</div>
</dd>
<dt><a href="../lib/DesktopNotify.html" title="class in lib"><span class="typeNameLink">DesktopNotify</span></a> - Class in <a href="../lib/package-summary.html">lib</a></dt>
<dd>
<div class="block">This class handles desktop notifications</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/DesktopNotify.html#DesktopNotify-lib.SwingTrayIcon-java.lang.String-">DesktopNotify(SwingTrayIcon, String)</a></span> - Constructor for class lib.<a href="../lib/DesktopNotify.html" title="class in lib">DesktopNotify</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../lib/SwingTrayIcon.html#disable--">disable()</a></span> - Method in class lib.<a href="../lib/SwingTrayIcon.html" title="class in lib">SwingTrayIcon</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../lib/SwingTrayIcon.html#displayMessage-java.lang.String-java.lang.String-">displayMessage(String, String)</a></span> - Method in class lib.<a href="../lib/SwingTrayIcon.html" title="class in lib">SwingTrayIcon</a></dt>
<dd>
<div class="block">Display desktop message (Windows only)</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/SwingTrayIcon.html#dispose--">dispose()</a></span> - Method in class lib.<a href="../lib/SwingTrayIcon.html" title="class in lib">SwingTrayIcon</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../client/TorController.html#doLatencyCheck-int-">doLatencyCheck(int)</a></span> - Method in class client.<a href="../client/TorController.html" title="class in client">TorController</a></dt>
<dd>
<div class="block">Triggers a socks latency check, EVENT_LATENCY_CHECK is fired on
 completion</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">K</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">N</a>&nbsp;<a href="index-14.html">O</a>&nbsp;<a href="index-15.html">P</a>&nbsp;<a href="index-16.html">Q</a>&nbsp;<a href="index-17.html">R</a>&nbsp;<a href="index-18.html">S</a>&nbsp;<a href="index-19.html">T</a>&nbsp;<a href="index-20.html">U</a>&nbsp;<a href="index-21.html">V</a>&nbsp;<a href="index-22.html">W</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-3.html">Prev Letter</a></li>
<li><a href="index-5.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-4.html" target="_top">Frames</a></li>
<li><a href="index-4.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
